summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGravatar Tom Willemse2015-06-22 01:54:37 +0200
committerGravatar Tom Willemse2015-06-22 01:56:22 +0200
commite1e1a92d0fb719d44a580eba5dffc523757b5f32 (patch)
treeb0cc785fa94034ce6694b715129930439533f09b
parentd012a8358167f55e016d99128c09bbe6b265107b (diff)
downloadpkgbuilds-e1e1a92d0fb719d44a580eba5dffc523757b5f32.tar.gz
pkgbuilds-e1e1a92d0fb719d44a580eba5dffc523757b5f32.zip
Update emacs-git PKGBUILD
-rw-r--r--emacs-git/0001-Use-a-keyword-not-symbol-to-delete-whitespace.patch47
-rw-r--r--emacs-git/PKGBUILD14
2 files changed, 5 insertions, 56 deletions
diff --git a/emacs-git/0001-Use-a-keyword-not-symbol-to-delete-whitespace.patch b/emacs-git/0001-Use-a-keyword-not-symbol-to-delete-whitespace.patch
deleted file mode 100644
index 9a70f4a..0000000
--- a/emacs-git/0001-Use-a-keyword-not-symbol-to-delete-whitespace.patch
+++ /dev/null
@@ -1,47 +0,0 @@
-From c9dfaff53b11f6db401d8ed7a7d25e1efb45c461 Mon Sep 17 00:00:00 2001
-From: Tom Willemse <tom@ryuslash.org>
-Date: Tue, 6 Jan 2015 20:37:29 +0100
-Subject: [PATCH] Use a keyword, not symbol, to delete whitespace
-
-* elec-pair.el (electric-pair-skip-whitespace): Use `:chomp' instead
-of `chomp'.
-(electric-pair-post-self-insert-function): Check for a keyword
-`:chomp' instead of the symbol `chomp' to prevent naming conflicts.
----
- lisp/ChangeLog | 8 ++++++++
- lisp/elec-pair.el | 6 +++---
- 2 files changed, 11 insertions(+), 3 deletions(-)
-
-diff --git a/lisp/elec-pair.el b/lisp/elec-pair.el
-index 2cede62..270f4a3 100644
---- a/lisp/elec-pair.el
-+++ b/lisp/elec-pair.el
-@@ -129,7 +129,7 @@ (defcustom electric-pair-skip-whitespace
- The specific kind of whitespace skipped is given by the variable
- `electric-pair-skip-whitespace-chars'.
-
--The symbol `chomp' specifies that the skipped-over whitespace
-+The keyword `:chomp' specifies that the skipped-over whitespace
- should be deleted.
-
- Can also be a function of no arguments, in which case that function's
-@@ -138,7 +138,7 @@ (defcustom electric-pair-skip-whitespace
- :group 'electricity
- :type '(choice
- (const :tag "Yes, jump over whitespace" t)
-- (const :tag "Yes, and delete whitespace" chomp)
-+ (const :tag "Yes, and delete whitespace" :chomp)
- (const :tag "No, no whitespace skipping" nil)
- function))
-
-@@ -487,7 +487,7 @@ (defun electric-pair-post-self-insert-function
- ;; live with it for now.
- (when skip-whitespace-info
- (electric-pair--skip-whitespace))
-- (delete-region (1- pos) (if (eq skip-whitespace-info 'chomp)
-+ (delete-region (1- pos) (if (eq skip-whitespace-info :chomp)
- (point)
- pos))
- (forward-char))
---
-2.2.1
diff --git a/emacs-git/PKGBUILD b/emacs-git/PKGBUILD
index d9017fc..2d428f1 100644
--- a/emacs-git/PKGBUILD
+++ b/emacs-git/PKGBUILD
@@ -7,21 +7,20 @@
_opt_puresize="1820000"
pkgname=emacs-git
-pkgver=20150404161006
+pkgver=20150620102447
pkgrel=1
pkgdesc='The extensible, customizable, self-documenting real-time display editor from its official Git repository'
arch=('i686' 'x86_64')
url='http://www.gnu.org/software/emacs/'
license=('GPL3')
depends=('dbus-core' 'desktop-file-utils' 'libpng' 'libtiff' 'librsvg'
- 'giflib' 'libxaw' 'libxpm' 'libjpeg>=7' 'hicolor-icon-theme'
+ 'giflib' 'gtk3' 'libxpm' 'libjpeg>=7' 'hicolor-icon-theme'
'imagemagick' 'libotf' 'm17n-lib')
makedepends=('git' 'pkgconfig' 'texinfo')
provides=("emacs=$pkgver")
conflicts=('emacs' 'emacs-nox' 'emacs-otf' 'emacs-cvs' 'emacs-bzr')
install=$pkgname.install
-source=("git+http://git.savannah.gnu.org/r/emacs.git"
- '0001-Use-a-keyword-not-symbol-to-delete-whitespace.patch')
+source=("git+http://git.savannah.gnu.org/r/emacs.git")
_mandir=/usr/share/man
@@ -50,9 +49,7 @@ build() {
--without-gif \
--without-gconf \
--without-gsettings \
- --with-x-toolkit=lucid || return 1
- # patch -p0 -i "$srcdir"/docstrings2.patch || return 1
- patch -p1 -i "$srcdir"/0001-Use-a-keyword-not-symbol-to-delete-whitespace.patch || return 1
+ --with-x-toolkit=gtk3 || return 1
make bootstrap
}
@@ -77,5 +74,4 @@ package() {
chmod 664 $pkgdir/var/games/emacs/*
chown -R root:50 $pkgdir/var/games
}
-md5sums=('SKIP'
- '35e7ce2809180972c1cdfcf1aca3612c')
+md5sums=('SKIP')